"""
Program  : SDMinP
Version  : 1.0
Date     : 16.03.2005
Purpose  : Adjustment of the multiple type I error (FWER)
Programer: Markus Obreiter
Contact  : m.obreiter@dkfz-heidelberg.de
Copyright (C) 2005 Deutsches Krebsforschungszentrum, DKFZ (German Cancer
Research Center), Division of Clinical
Epidemiology

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your option)
any later version. 
This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation,
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

A copy of the GNU Public License is attached to the program documentation.
"""

import os, os.path

class Logfile:
    
    def __init__ (self, path, mode):
        self.mode = mode
        self.path = path

    def createNew (self):
        """creates empty file"""
        if os.path.isfile(self.path):
            os.remove(self.path)
        file = open (self.path , 'a')
        file.close()

    def msg(self, msg):
        """msg: textmessage, without endofline"""
        if self.mode:
            msg = str(msg)
            file = open (self.path , 'a')
            file.write(msg)
            file.close()

    def msgEoln(self, msg):
        """msg: textmessage, with end of line"""
        if self.mode:
            msg = str(msg)
            msg = msg + "\n"
            file = open (self.path , 'a')
            file.write(msg)
            file.close()
